import { CellValue } from './CellValue';
/**
 * Defines how to present a business-value in a UI component
 */
export class AttributeCellValue extends CellValue {
    constructor(propertyName, entryMethod, hint, tooltip, mask, autoFillCapable, actions, style) {
        super(style);
        this.propertyName = propertyName;
        this.entryMethod = entryMethod;
        this.hint = hint;
        this.tooltip = tooltip;
        this.mask = mask;
        this.autoFillCapable = autoFillCapable;
        this.actions = actions;
    }
    get isComboBoxEntryMethod() {
        return this.entryMethod && this.entryMethod === 'ENTRY_METHOD_COMBO_BOX';
    }
    get isDropDownEntryMethod() {
        return this.entryMethod && this.entryMethod === 'ENTRY_METHOD_DROP_DOWN';
    }
    get isIconEntryMethod() {
        return this.entryMethod && this.entryMethod === 'ENTRY_METHOD_ICON_CHOOSER';
    }
    get isTextFieldEntryMethod() {
        return !this.entryMethod || this.entryMethod === 'ENTRY_METHOD_TEXT_FIELD';
    }
}
